import React from 'react';
import LoadingSpinnerRenderer from './LoadingSpinnerRenderer';
export class LoadingSpinner extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.state = {
            hidden: true,
            text: undefined,
        };
        this.show = (text) => {
            this.setState({ hidden: false, text });
        };
        this.hide = () => {
            this.setState({ hidden: true, text: undefined });
        };
    }
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
    render() {
        const { Renderer = LoadingSpinnerRenderer, ...otherProps } = this.props;
        const { hidden, text } = this.state;
        return <Renderer {...otherProps} hidden={hidden} text={text}/>;
    }
}
let sharedLoadingSpinner = null;
export class LoadingSpinnerController extends React.PureComponent {
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
    render() {
        return (<LoadingSpinner ref={ref => {
            sharedLoadingSpinner = ref;
        }} {...this.props}/>);
    }
}
LoadingSpinnerController.show = (text) => {
    if (sharedLoadingSpinner)
        sharedLoadingSpinner.show(text);
};
LoadingSpinnerController.hide = () => {
    if (sharedLoadingSpinner)
        sharedLoadingSpinner.hide();
};
export default LoadingSpinnerController;
