import React from 'react';
import { StyleSheet, View } from 'react-native';
import { useOverride, useMemoStyles } from '@react-native-cask-ui/theme';
const defaultStyles = StyleSheet.create({
    root: {
        backgroundColor: '#ddd',
        height: StyleSheet.hairlineWidth,
    },
});
export default React.memo(props => {
    const { props: overridedProps, styles } = useOverride('Separator', props);
    const { children } = overridedProps;
    const finalStyle = useMemoStyles([defaultStyles.root, styles.root]);
    return <View style={finalStyle}>{children}</View>;
});
